/* ==================================================================================================================================================== */
/*         Detail produktu           */
/* ==================================================================================================================================================== */


/* Skrývání prvků */
.type-product .social-buttons-wrapper, /* Tisk, Zeptat se, Sdílet pod Krátkým popisem produktu */
.type-product p[data-testid="productCardDescr"] /* Tlačítko Detail produktu, které scrolluje dolů po kliknutí */
 {
    display: none;
}

/* Velikost produktu */
.type-product .row.product-top > .col-xs-12:first-child { 
    display: none; /* Skrývá první sloupec, který je obsahově prázdný */
}

@media (min-width: 768px) {
    .type-product .row.product-top {
        display: flex;
        gap: 30px;
    }
    
    .type-product .row.product-top::before,
    .type-product .row.product-top::after {
        content: none !important;
    }

    .type-product .row.product-top .p-image-wrapper,
    .type-product .row.product-top .p-info-wrapper {
        width: 50%;
    }

    .type-product .row.product-top .p-image-wrapper .p-main-image img  {
        aspect-ratio: 3 / 3.5;
        object-fit: cover;
    }

    .type-product .row.product-top .p-image-wrapper .p-main-image {
        pointer-events: none;
    }

    .type-product .row.product-top .p-image-wrapper .p-image {
        margin-bottom: 16px;
    }

    /* Sticky obrázek */
    .type-product .row.product-top .p-image-wrapper {
        position: sticky;
        top: 20%;
        height: 100%;
    }
}

@media (min-width: 1600px) {
    .type-product .row.product-top {
        gap: 90px;
    }
}
    
/* Poměr stran u thumbnailů */
.type-product .row.product-top .p-image-wrapper .p-thumbnail {
        aspect-ratio: 3 / 3.5;
        width: auto;
}

    .type-product .row.product-top .p-image-wrapper .p-thumbnail {
        aspect-ratio: 3 / 4;
        width: auto;
}

.type-product .row.product-top .p-image-wrapper .p-thumbnail {
        border: 2px solid var(--template-color-gray-darker);
}

.type-product .row.product-top .p-image-wrapper .p-thumbnail.highlighted {
        opacity: 1;
}

.type-product .row.product-top .p-image-wrapper .p-thumbnail:hover {
        border: 2px solid;
        opacity: 1;
}

.type-product .row.product-top .p-image-wrapper .p-thumbnail img {
        width: 100%;
        height: 100%;
        object-fit: cover;
}

.type-product .p-short-description {
/* Odsazení před short descriptionem */
    margin-top: 60px;  
}



.type-product .p-info-wrapper .add-to-cart,.type-product .p-info-wrapper .availability-value,.type-product .p-info-wrapper .detail-parameters,.type-product .p-info-wrapper .p-final-price-wrapper {
    margin: 0;
}

.type-product .p-info-wrapper .add-to-cart {
    margin-top: 16px;
}

/* Velikosti písma */
.type-product h1, .type-product h2, .type-product h3, .type-product h4 {
    line-height: 1.4;
}

.type-product h1 {
    font-size: 32px;
}

.type-product h2 {
    font-size: 26px;
}

.type-product .p-short-description {
    font-size: 17px;
}

.type-product .p-info-wrapper .price-final {
    margin-bottom: 3px;
}

.type-product .p-info-wrapper hr {
    margin-top: 20px;
    margin-bottom: 20px;
}